Bug 1052291 - groovy: Missing Requires on java-devel
Summary: groovy: Missing Requires on java-devel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: groovy
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 7.0
Assignee: Mikolaj Izdebski
QA Contact: Jan Kepler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 15:09 UTC by Mikolaj Izdebski
Modified: 2014-06-18 05:13 UTC (History)
5 users (show)

Fixed In Version: 1.8.9-7
Doc Type: Bug Fix
Doc Text:
Clone Of: 736753
Environment:
Last Closed: 2014-06-13 12:35:32 UTC


Attachments (Terms of Use)
Proposed patch (1.19 KB, patch)
2014-01-13 15:12 UTC, Mikolaj Izdebski
no flags Details | Diff

Description Mikolaj Izdebski 2014-01-13 15:09:02 UTC
+++ This bug was initially created as a clone of Bug #736753 +++

Description of problem:
$ groovy -e 'println "test";'
/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found
test

Version-Release number of selected component (if applicable):
$ rpm -q jpackage-utils groovy
jpackage-utils-1.7.5-5.fc15.noarch
groovy-1.8.0-2.fc15.noarch

How reproducible:
Always

--- Additional comment from hannes on 2011-09-08 19:44:42 CEST ---

I couldn't reproduce it so I would like you to ask to give me the output of the following command:
sh -x /usr/bin/build-classpath ../jvm/java/lib/tools

and please:
rpm -qa | grep java-1.6.0-openjdk-devel

--- Additional comment from Pavel Alexeev (aka Pahan-Hubbitus) on 2011-09-09 09:19:29 CEST ---

[pasha@vbox groovy]$ sh -x /usr/bin/build-classpath ../jvm/java/lib/tools 2>&1 > build-classpath.log
+ '[' -r /usr/share/java-utils/java-functions ']'
+ . /usr/share/java-utils/java-functions
++ _JAVA_HOME=
++ '[' -f /etc/java/java.conf ']'
++ . /etc/java/java.conf
+++ JAVA_LIBDIR=/usr/share/java
+++ JNI_LIBDIR=/usr/lib/java
+++ JVM_ROOT=/usr/lib/jvm
+++ JAVACMD_OPTS=
++ '[' -f /home/pasha/.java/java.conf ']'
++ '[' '!' -z '' -a -d '' ']'
+ '[' 1 -eq 0 ']'
+ set_javacmd
+ '[' -x '' ']'
+ set_jvm
+ _set_java_home
+ '[' -z '' ']'
+ local _java_dirs=java
+ case "$_prefer_jre" in
+ _java_dirs='java jre'
+ for d in '$_java_dirs'
+ '[' -d /usr/lib/jvm/java ']'
+ for d in '$_java_dirs'
+ '[' -d /usr/lib/jvm/jre ']'
+ '[' -n '' ']'
++ which javac
+ java=/usr/bin/javac
+ '[' -z /usr/bin/javac ']'
+ '[' -n /usr/bin/javac ']'
+ '[' -h /usr/bin/javac ']'
++ readlink /usr/bin/javac
+ java=/etc/alternatives/javac
+ '[' -h /etc/alternatives/javac ']'
++ readlink /etc/alternatives/javac
+ java=/usr/java/jdk1.6.0_26/bin/javac
+ '[' -h /usr/java/jdk1.6.0_26/bin/javac ']'
++ dirname /usr/java/jdk1.6.0_26/bin/javac
+ JAVA_HOME=/usr/java/jdk1.6.0_26/bin/..
+ export JAVA_HOME
+ return
+ '[' -x /usr/java/jdk1.6.0_26/bin/../jre/sh/java ']'
+ '[' -x /usr/java/jdk1.6.0_26/bin/../bin/java ']'
+ JAVACMD=/usr/java/jdk1.6.0_26/bin/../bin/java
+ '[' '!' -x /usr/java/jdk1.6.0_26/bin/../bin/java ']'
+ '[' -n '' ']'
+ return 0
+ check_java_env
+ '[' -z /usr/java/jdk1.6.0_26/bin/.. ']'
+ '[' -z /usr/java/jdk1.6.0_26/bin/../bin/java ']'
+ '[' -z /usr/share/java ']'
+ '[' -z /usr/lib/java ']'
+ return 0
+ set_jvm_dirs
+ _set_java_home
+ '[' -z /usr/java/jdk1.6.0_26/bin/.. ']'
++ echo /usr/java/jdk1.6.0_26/bin/..
++ sed -n 's+/usr/lib/jvm/\([-_[:alnum:].]*\)\(.*\)+\1+p'
+ JVM_LIBDIR=/usr/lib/jvm-exports/
+ JAVA_VERSION=
+ re='\([[:digit:]]\{1,\}\.[[:digit:]]\{1,\}\(\.[[:digit:]]\{1,\}\)*\)'
+ for opt in -fullversion -version
++ /usr/java/jdk1.6.0_26/bin/../bin/java -fullversion
++ sed -n -e '/java \(full \)*version "/s/\([[:digit:]]\{1,\}\.[[:digit:]]\{1,\}\(\.[[:digit:]]\{1,\}\)*\)/<<<\1>>>/' -e '/java \(full \)*version "/s/.*<<<\([^>]\{1,\}\)>>>.*/\1/p'
+ JAVA_VERSION=1.6.0
+ '[' -n 1.6.0 ']'
+ break
+ JAVAVER_LIBDIR=/usr/share/java-1.6.0
+ JAVAVER_JNIDIR=/usr/lib/java-1.6.0
+ '[' '!' -d /usr/lib/jvm-exports/ ']'
+ '[' '!' -d /usr/share/java-1.6.0 ']'
+ '[' '!' -d /usr/lib/java-1.6.0 ']'
+ return 0
+ _ALLFOUND=true
+ for extension in '"$@"'
+ unset _JARS
++ find_jar ../jvm/java/lib/tools
+++ sed 's+\.jar$++g'
+++ echo ../jvm/java/lib/tools
++ extension=../jvm/java/lib/tools
+++ do_find_jar ../jvm/java/lib/tools
+++ extension=../jvm/java/lib/tools
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/jvm-exports/ ']'
+++ '[' -r /usr/lib/jvm-exports//../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib/jvm-exports//../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/java-1.6.0 ']'
+++ '[' -r /usr/lib/java-1.6.0/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib/java-1.6.0/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/share/java-1.6.0 ']'
+++ '[' -r /usr/share/java-1.6.0/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/share/java-1.6.0/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d '' ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/java ']'
+++ '[' -r /usr/lib/java/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib/java/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/share/java ']'
+++ '[' -r /usr/share/java/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/share/java/../jvm/java/lib/tools ']'
+++ return 1
++ found_extension=
++ found=1
++ '[' 1 '!=' 0 ']'
+++ grep -q -e '-[\.[:digit:]]*$'
+++ echo ../jvm/java/lib/tools
++ '[' 1 '!=' 0 ']'
+++ grep -q /
+++ echo ../jvm/java/lib/tools
+++ dirname ../jvm/java/lib/tools
++ extension=../jvm/java/lib
+++ do_find_jar ../jvm/java/lib
+++ extension=../jvm/java/lib
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/jvm-exports/ ']'
+++ '[' -r /usr/lib/jvm-exports//../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib/jvm-exports//../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/java-1.6.0 ']'
+++ '[' -r /usr/lib/java-1.6.0/../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib/java-1.6.0/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/share/java-1.6.0 ']'
+++ '[' -r /usr/share/java-1.6.0/../jvm/java/lib.jar ']'
+++ '[' -d /usr/share/java-1.6.0/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d '' ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/java ']'
+++ '[' -r /usr/lib/java/../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib/java/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/share/java ']'
+++ '[' -r /usr/share/java/../jvm/java/lib.jar ']'
+++ '[' -d /usr/share/java/../jvm/java/lib ']'
+++ return 1
++ found_extension=
++ found=1
++ '[' 1 = 0 ']'
++ echo '/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM'
/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM
++ return 1
+ extension=
+ '[' 1 = 0 ']'
+ _ALLFOUND=false
++ sed 's+:$++g'
++ echo
+ _CLASSPATH=
+ echo ''
+ '[' false = true ']'
+ echo '/usr/bin/build-classpath: error: Some specified jars were not found'
/usr/bin/build-classpath: error: Some specified jars were not found
+ exit 6

$ rpm -qa | grep java-1.6.0-openjdk-devel
java-1.6.0-openjdk-devel-1.6.0.0-59.1.10.3.fc15.i686

I hope it help.

--- Additional comment from hannes on 2011-09-12 17:57:31 CEST ---

Ok so it seems that you are running the "original" Java from Oracle besides OpenJDK. I would like to ask you to try the following commands:
alternatives --config java
alternatives --config javac

and please choose for now OpenJDK, just to test if it might work then. Also please add the output of the following:
rpm -qV jpackage-utils

--- Additional comment from Pavel Alexeev (aka Pahan-Hubbitus) on 2011-09-12 18:51:52 CEST ---

If I change javac alternative to openjdk it works without warning. It doesn't depend from java.

$ rpm -qV jpackage-utils
5S.T.....  c /etc/maven/maven2-depmap.xml

I have no think why it happened. I had reinstall it (yum reinstall jpackage-utils) then, but still see it:
$ rpm -qV jpackage-utils
5S.T.....  c /etc/maven/maven2-depmap.xml

--- Additional comment from Deepak Bhole on 2011-09-12 19:05:35 CEST ---

The warning you are seeing with -qV is fine. That file is expected to change after installation.

The real problem then was the alternatives.. I am not sure why it messed up in the first place as /usr/lib/jvm/java/... should've always been valid.

If the issue is no longer reproducible, I think this bug should be okay to close.

--- Additional comment from Pavel Alexeev (aka Pahan-Hubbitus) on 2011-09-12 21:39:29 CEST ---

It is not reproducible on openjdk. So, then it may be closed now. But may be you will be so kind to give me hint how it may be fixed for Oracle Java too?

--- Additional comment from Deepak Bhole on 2011-09-12 21:45:03 CEST ---

Sure. How are you installing/using Oracle Java?

--- Additional comment from Pavel Alexeev (aka Pahan-Hubbitus) on 2011-09-12 21:53:09 CEST ---

In standard way, from official site from binary rpm package.

Then install alternatives for main components (I can't exactly say command what is it, but it is rather standard)

--- Additional comment from Deepak Bhole on 2011-09-12 22:01:47 CEST ---

How are you getting groovy to use it then? e.g. exporting JAVA_HOME?

--- Additional comment from Pavel Alexeev (aka Pahan-Hubbitus) on 2011-09-12 22:05:37 CEST ---

No. I have just switch system wide alternative to it.

--- Additional comment from Deepak Bhole on 2011-09-12 22:11:40 CEST ---

AFAIK the Oracle RPM does not set up alternatives. Did you add the alternative yourself?

--- Additional comment from Pavel Alexeev (aka Pahan-Hubbitus) on 2011-09-12 22:21:46 CEST ---

Yes, as I said before. Do you think it was setup incorrectly?

--- Additional comment from Deepak Bhole on 2011-09-12 22:45:36 CEST ---

Ah okay. Yes, then that is the issue. It explains how the alternatives became incorrect in the first place.

If you run rpm -q --scripts java-1.6.0-openjdk and rpm -q --scripts java-1.6.0-openjdk-devel, you will see the multiple links that they create (in %post). To ensure compatibility, you should create the slave links that the OpenJDK rpm creates.

Out of curiosity, why are you using Oracle JDK instead of OpenJDK? Does OpenJDK have any issues that you don't see with Oracle JDK?

--- Additional comment from Pavel Alexeev (aka Pahan-Hubbitus) on 2011-09-13 10:56:32 CEST ---

Thank you very much. I'll see what from that is missing fo binary Oracle Java variant an lead to this warning.

--- Additional comment from Deepak Bhole on 2011-09-13 16:14:14 CEST ---

No problem! 

Lubomir, Johannes, if you are okay with this resolution, I think this bug is okay to close now.

--- Additional comment from hannes on 2011-09-14 07:55:11 CEST ---

Doing this now, thanks for looking at this Deepak.

--- Additional comment from Pavel Alexeev (aka Pahan-Hubbitus) on 2012-03-04 09:51:45 CET ---

Now I see it even on openjdk 1.7:

# LANG=C alternatives --config java

There are 4 programs which provide 'java'.

  Selection    Command
-----------------------------------------------
   1           /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/java
 + 2           /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java
   3           /usr/java/jdk1.7.0/jre/bin/java
*  4           /usr/java/jdk1.7.0_01/jre/bin/java

# LANG=C alternatives --config javac

There are 4 programs which provide 'javac'.

  Selection    Command
-----------------------------------------------
 + 1           /usr/lib/jvm/java-1.7.0-openjdk.x86_64/bin/javac
   2           /usr/java/jdk1.7.0/bin/javac
   3           /usr/lib/jvm/java-1.6.0-openjdk.x86_64/bin/javac
*  4           /usr/java/jdk1.7.0_01/bin/javac

$ groovy -e 'println "Test";'
/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found
Test


$ sh -x /usr/bin/build-classpath ../jvm/java/lib/tools 2>&1
+ '[' -r /usr/share/java-utils/java-functions ']'
+ . /usr/share/java-utils/java-functions
++ _JAVA_HOME=
++ '[' -f /etc/java/java.conf ']'
++ . /etc/java/java.conf
+++ JAVA_LIBDIR=/usr/share/java
+++ JNI_LIBDIR=/usr/lib64/java
+++ JAVAJNI_LIBDIR=/usr/share/java-jni
+++ JVM_ROOT=/usr/lib/jvm
+++ JAVACMD_OPTS=
++ '[' -f /home/pasha/.java/java.conf ']'
++ '[' '!' -z '' -a -d '' ']'
+ '[' 1 -eq 0 ']'
+ set_javacmd
+ '[' -x '' ']'
+ set_jvm
+ _set_java_home
+ '[' -z '' ']'
+ local _java_dirs=java
+ case "$_prefer_jre" in
+ _java_dirs='java jre'
+ for d in '$_java_dirs'
+ '[' -d /usr/lib/jvm/java ']'
+ JAVA_HOME=/usr/lib/jvm/java
+ break
+ '[' -n /usr/lib/jvm/java ']'
+ return
+ '[' -x /usr/lib/jvm/java/jre/sh/java ']'
+ '[' -x /usr/lib/jvm/java/bin/java ']'
+ JAVACMD=/usr/lib/jvm/java/bin/java
+ '[' '!' -x /usr/lib/jvm/java/bin/java ']'
+ '[' -n '' ']'
+ return 0
+ check_java_env
+ '[' -z /usr/lib/jvm/java ']'
+ '[' -z /usr/lib/jvm/java/bin/java ']'
+ '[' -z /usr/share/java ']'
+ '[' -z /usr/lib64/java ']'
+ return 0
+ set_jvm_dirs
+ _set_java_home
+ '[' -z /usr/lib/jvm/java ']'
++ echo /usr/lib/jvm/java
++ sed -n 's+/usr/lib/jvm/\([-_[:alnum:].]*\)\(.*\)+\1+p'
+ JVM_LIBDIR=/usr/lib/jvm-exports/java
+ JAVA_VERSION=
+ re='\([[:digit:]]\{1,\}\.[[:digit:]]\{1,\}\(\.[[:digit:]]\{1,\}\)*\)'
+ for opt in -fullversion -version
++ /usr/lib/jvm/java/bin/java -fullversion
++ sed -n -e '/java \(full \)*version "/s/\([[:digit:]]\{1,\}\.[[:digit:]]\{1,\}\(\.[[:digit:]]\{1,\}\)*\)/<<<\1>>>/' -e '/java \(full \)*version "/s/.*<<<\([^>]\{1,\}\)>>>.*/\1/p'
+ JAVA_VERSION=1.7.0
+ '[' -n 1.7.0 ']'
+ break
+ JAVAVER_LIBDIR=/usr/share/java-1.7.0
+ JAVAVER_JNIDIR=/usr/lib64/java-1.7.0
+ '[' '!' -d /usr/lib/jvm-exports/java ']'
+ '[' '!' -d /usr/share/java-1.7.0 ']'
+ '[' '!' -d /usr/lib64/java-1.7.0 ']'
+ return 0
+ _ALLFOUND=true
+ for extension in '"$@"'
+ unset _JARS
++ find_jar ../jvm/java/lib/tools
+++ echo ../jvm/java/lib/tools
+++ sed 's+\.jar$++g'
++ extension=../jvm/java/lib/tools
+++ do_find_jar ../jvm/java/lib/tools
+++ extension=../jvm/java/lib/tools
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib/jvm-exports/java ']'
+++ '[' -r /usr/lib/jvm-exports/java/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib/jvm-exports/java/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib64/java-1.7.0 ']'
+++ '[' -r /usr/lib64/java-1.7.0/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib64/java-1.7.0/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java-1.7.0 ']'
+++ '[' -r /usr/share/java-1.7.0/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/share/java-1.7.0/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d '' ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib64/java ']'
+++ '[' -r /usr/lib64/java/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib64/java/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java ']'
+++ '[' -r /usr/share/java/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/share/java/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java-jni ']'
+++ '[' -r /usr/share/java-jni/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/share/java-jni/../jvm/java/lib/tools ']'
+++ return 1
++ found_extension=
++ found=1
++ '[' 1 '!=' 0 ']'
+++ echo ../jvm/java/lib/tools
+++ grep -q -e '-[\.[:digit:]]*$'
++ '[' 1 '!=' 0 ']'
+++ echo ../jvm/java/lib/tools
+++ grep -q /
+++ dirname ../jvm/java/lib/tools
++ extension=../jvm/java/lib
+++ do_find_jar ../jvm/java/lib
+++ extension=../jvm/java/lib
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib/jvm-exports/java ']'
+++ '[' -r /usr/lib/jvm-exports/java/../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib/jvm-exports/java/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib64/java-1.7.0 ']'
+++ '[' -r /usr/lib64/java-1.7.0/../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib64/java-1.7.0/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java-1.7.0 ']'
+++ '[' -r /usr/share/java-1.7.0/../jvm/java/lib.jar ']'
+++ '[' -d /usr/share/java-1.7.0/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d '' ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib64/java ']'
+++ '[' -r /usr/lib64/java/../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib64/java/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java ']'
+++ '[' -r /usr/share/java/../jvm/java/lib.jar ']'
+++ '[' -d /usr/share/java/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java-jni ']'
+++ '[' -r /usr/share/java-jni/../jvm/java/lib.jar ']'
+++ '[' -d /usr/share/java-jni/../jvm/java/lib ']'
+++ return 1
++ found_extension=
++ found=1
++ '[' 1 = 0 ']'
++ echo '/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM'
/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM
++ return 1
+ extension=
+ '[' 1 = 0 ']'
+ _ALLFOUND=false
++ echo
++ sed 's+:$++g'
+ _CLASSPATH=
+ echo ''

+ '[' false = true ']'
+ echo '/usr/bin/build-classpath: error: Some specified jars were not found'
/usr/bin/build-classpath: error: Some specified jars were not found
+ exit 6


I have not seen any errors in groovy functionality because that, but it is very annoying to see it each time.

--- Additional comment from Deepak Bhole on 2012-03-09 17:30:16 CET ---

Looks like the groovy script needs to be fixed. ../../jvm/java/lib/tools is the right path to search for (i.e. an extra ../ prefix)

--- Additional comment from Fedora Update System on 2012-03-09 22:29:50 CET ---

groovy-1.8.6-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/groovy-1.8.6-3.fc16

--- Additional comment from Fedora Update System on 2012-03-09 22:30:08 CET ---

groovy-1.8.6-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/groovy-1.8.6-3.fc17

--- Additional comment from Fedora Update System on 2012-03-21 19:20:54 CET ---

Package groovy-1.8.6-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing groovy-1.8.6-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4370/groovy-1.8.6-3.fc17
then log in and leave karma (feedback).

--- Additional comment from Fedora Update System on 2012-03-21 21:33:09 CET ---

groovy-1.8.6-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/groovy-1.8.6-4.fc17

--- Additional comment from Fedora Update System on 2012-03-31 05:08:59 CEST ---

groovy-1.8.6-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from Fedora Update System on 2012-04-12 04:34:35 CEST ---

groovy-1.8.6-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from ppecka on 2012-10-25 19:57:03 CEST ---

$ rpm -q groovy
groovy-1.8.7-1.fc17.noarch

groovy -e 'println "test";'
/usr/bin/build-classpath: error: Could not find ../../jvm/java/lib/tools Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found

--- Additional comment from Mikolaj Izdebski on 2014-01-13 15:26:40 CET ---

Still reproducible in rawhide:

$ rpm -q groovy
groovy-1.8.9-7.fc21.noarch

$ groovy -e 'println "test";'
/usr/bin/build-classpath: Could not find ../../jvm/java/lib Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found
test

I'll fix this.

--- Additional comment from Mikolaj Izdebski on 2014-01-13 15:29:10 CET ---

Fedora 15 is EOL. Moving to Fedora 18.

--- Additional comment from Mikolaj Izdebski on 2014-01-13 15:30:30 CET ---

Fixed in groovy-1.8.9-8

Comment 1 Mikolaj Izdebski 2014-01-13 15:12:54 UTC
Created attachment 849446 [details]
Proposed patch

Comment 2 Mikolaj Izdebski 2014-01-13 15:54:24 UTC
Fixed in groovy-1.8.9-7

Comment 4 Mikolaj Izdebski 2014-01-13 16:04:28 UTC
reproducer:

1) make sure java-devel is not installed

$ which javac
which: no javac in (/usr/local/bin:/usr/bin)

2) install groovy

3) run "hello world" in groovy:

$ groovy -e 'println "hello world";'

Expected results (no warnings):

hello world

Actual results:

$ groovy -e 'println "hello world";'
/usr/bin/build-classpath: Could not find ../../jvm/java/lib Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found
hello world

Comment 6 Ludek Smid 2014-06-13 12:35:32 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.